<?php
add_action('uwp_geodirectory_settings_main_tab_content', 'uwp_gd_main_tab_content', 10, 1);
function uwp_gd_main_tab_content($form) {
    echo $form;
}

add_action('uwp_admin_sub_menus', 'uwp_add_admin_gd_sub_menu', 10, 1);
function uwp_add_admin_gd_sub_menu($settings_page) {

    add_submenu_page(
        "userswp",
        "GeoDirectory",
        "GeoDirectory",
        'manage_options',
        'uwp_geodirectory',
        $settings_page
    );

}

add_filter('uwp_display_form_title', 'uwp_gd_display_form_title', 10, 3);
function uwp_gd_display_form_title($title, $page, $active_tab) {
    if ($page == 'uwp_geodirectory' && $active_tab == 'main') {
        $title = __('GeoDirectory Settings', 'uwp-gd');
    }
    return $title;
}

add_filter('uwp_settings_tabs', 'uwp_add_gd_tab');
function uwp_add_gd_tab($tabs) {
    $tabs['uwp_geodirectory']   = array(
        'main' => __( 'GeoDirectory', 'uwp-gd' ),
    );
    return $tabs;
}

add_filter('uwp_registered_settings', 'uwp_add_gd_settings');
function uwp_add_gd_settings($uwp_settings) {

    $options = array(
        'disable_uwp_gd' => array(
            'id'   => 'disable_uwp_gd',
            'name' => 'Disable GeoDirectory tabs in Profile',
            'desc' => '',
            'type' => 'checkbox',
            'std'  => '1',
            'class' => 'uwp_label_inline',
        ),
        'gd_profile_listings' => array(
            'id' => 'gd_profile_listings',
            'name' => __( 'Show listings in Profile', 'uwp-gd' ),
            'desc' => __( 'Choose the post types to show listings tab in UsersWP Profile', 'uwp-gd' ),
            'multiple'    => true,
            'chosen'      => true,
            'type'        => 'select',
            'options' => uwp_get_gd_posttypes(),
            'placeholder' => __( 'Select Post Types', 'uwp-gd' )
        ),
        'gd_profile_reviews' => array(
            'id' => 'gd_profile_reviews',
            'name' => __( 'Show reviews in Profile', 'uwp-gd' ),
            'desc' => __( 'Choose the post types to show reviews tab in UsersWP Profile', 'uwp-gd' ),
            'multiple'    => true,
            'chosen'      => true,
            'type'        => 'select',
            'options' => uwp_get_gd_posttypes(),
            'placeholder' => __( 'Select Post Types', 'uwp-gd' )
        ),
        'gd_profile_favorites' => array(
            'id' => 'gd_profile_favorites',
            'name' => __( 'Show favorites in Profile', 'uwp-gd' ),
            'desc' => __( 'Choose the post types to show favorites tab in UsersWP Profile', 'uwp-gd' ),
            'multiple'    => true,
            'chosen'      => true,
            'type'        => 'select',
            'options' => uwp_get_gd_posttypes(),
            'placeholder' => __( 'Select Post Types', 'uwp-gd' )
        ),
        'geodir_uwp_link_listing' => array(
            'id'   => 'geodir_uwp_link_listing',
            'name' => __( 'Redirect GD dashboard my listing link to UsersWP profile', 'uwp-gd' ),
            'desc' => __( 'If this option is selected, the my listing link from GD dashboard will redirect to listings tab of UsersWP profile.', 'uwp-gd' ),
            'type' => 'checkbox',
            'std'  => '0',
            'class' => 'uwp_label_inline',
        ),
        'geodir_uwp_link_favorite' => array(
            'id'   => 'geodir_uwp_link_favorite',
            'name' => __( 'Redirect GD dashboard favorite link to UsersWP profile', 'uwp-gd' ),
            'desc' => __( 'If this option is selected, the favorite link from GD dashboard will redirect to favorites tab of UsersWP profile.', 'uwp-gd' ),
            'type' => 'checkbox',
            'std'  => '0',
            'class' => 'uwp_label_inline',
        ),
    );

    $uwp_settings['uwp_geodirectory'] = array(
        'main' => apply_filters( 'uwp_settings_geodirectory', $options),
    );

    return $uwp_settings;
}

function uwp_get_gd_posttypes() {
    $post_type_arr = array();
    $post_types = geodir_get_posttypes( 'object' );

    foreach ( $post_types as $key => $post_types_obj ) {
        $post_type_arr[$key] = $post_types_obj->labels->singular_name;
    }
    return $post_type_arr;
}